Package: groovy.io

## [Java] Class EncodingAwareBufferedWriter

- groovy.io.EncodingAwareBufferedWriter

- A buffered writer only for OutputStreamWriter that is aware of the encoding of the OutputStreamWriter.

  Authors:
    Paul King

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EncodingAwareBufferedWriter (OutputStreamWriter out)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getEncoding()` The encoding as returned by the underlying OutputStreamWriter.
    `` | `String` | `getNormalizedEncoding()` The encoding as returned by the underlying OutputStreamWriter.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BufferedWriter` | `flush, write, write, write, newLine, close, append, append, append, append, append, append, write, write, nullWriter, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Writer` | `append, append, append, append, append, append, flush, write, write, write, write, write, close, nullWriter, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public EncodingAwareBufferedWriter(OutputStreamWriter out)

  - ### Method Detail

    - #### public String getEncoding()

      The encoding as returned by the underlying OutputStreamWriter. Can be the historical name.

      Returns:
        the encoding
      See Also:
        OutputStreamWriter.getEncoding

    - #### public String getNormalizedEncoding()

      The encoding as returned by the underlying OutputStreamWriter. Will be the preferred name.

      Returns:
        the encoding
      See Also:
        OutputStreamWriter.getEncoding